Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.scheduling
Enum SupplyingSchedulingType

    java.lang.Object
      java.lang.Enum<SupplyingSchedulingType>
          lbg.peer.strategy.scheduling.SupplyingSchedulingType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SupplyingSchedulingType>

    public enum SupplyingSchedulingType

extends java.lang.Enum<SupplyingSchedulingType>

Author:
  Cyril Briquet

Enum Constant Summary
`FavorsSupplyingScheduling`
`FIFOSupplyingScheduling`
`NoSupplyingScheduling`

Method Summary
`abstract SupplyingSchedulingPolicy` | `createSupplyingSchedulingPolicy(Peer managed_peer, Scheduler scheduler)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isBarteringStrategy()`
`static int` | `size()`
`static SupplyingSchedulingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SupplyingSchedulingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoSupplyingScheduling

    public static final SupplyingSchedulingType NoSupplyingScheduling

### FavorsSupplyingScheduling

    public static final SupplyingSchedulingType FavorsSupplyingScheduling

### FIFOSupplyingScheduling

    public static final SupplyingSchedulingType FIFOSupplyingScheduling

Method Detail

### values

    public static final SupplyingSchedulingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SupplyingSchedulingType c : SupplyingSchedulingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SupplyingSchedulingType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createSupplyingSchedulingPolicy

    public abstract SupplyingSchedulingPolicy createSupplyingSchedulingPolicy(Peer managed_peer,
                                                                              Scheduler scheduler)
                                                                       throws GridException

  Throws:
    `GridException`

### isBarteringStrategy

    public abstract boolean isBarteringStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.